Subject: Re: [PATCH net-next 2/4] net: stmmac: introduce PHY-less setup support

From: Andrew Lunn <[email-masked]>
Date: Fri, 22 Apr 2022 14:58:49 +0200

On Fri, Apr 22, 2022 at 03:35:03PM +0800, Ong Boon Leong wrote:
> Certain platform uses PHY-less configuration whereby the MAC controller
> is connected to network switch chip directly over SGMII or 1000BASE-X.
> 
> This patch prepares the stmmac driver to support PHY-less configuration
> described above.

The normal way to do a PHY less setup is to use a fixed-PHY. It offers
the same API to the MAC as a real PHY but is fixed speed, dupex
etc. The MAC sees a PHY as usual, and you don't need anything special
in the MAC.

What you need to do is extend your DSD to list the fixed-link. See

https://www.kernel.org/doc/html/latest/firmware-guide/acpi/dsd/phy.html#mac-node-example-with-a-fixed-link-subnode

	Andrew